<?php

declare(strict_types=1);

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ReportConsumable extends Model
{
    protected $guarded = ['id', 'created_at', 'updated_at'];

    protected $casts = [
        'quantity' => 'decimal:3',
        'unit_price' => 'decimal:0',
    ];

    public function report(): BelongsTo
    {
        return $this->belongsTo(Report::class);
    }
}
